> ## Documentation Index
> Fetch the complete documentation index at: https://docs.penciled.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Outcomes

> Gets the outcomes for a specific agent

## Request

### Query Parameters

* **agent\_id** (string, required): The ID of the agent.

## Response

* **outcomes** (object of outcomes types): An object where the keys are the outcome, eg "scheduled" and the sentiment value, eg "positive".

Sentiment values can be one of three options: "positive", "negative", or "neutral"

## Example Response

```json theme={null}
{
  "outcomes": { "scheduled": "positive", "rescheduled": "positive", "unconfirmed": "neutral", "requested_callback": "negative", "voicemail": "neutral" }
}
```


## OpenAPI

````yaml GET /v1/outcomes
openapi: 3.0.1
info:
  title: Penciled API
  description: Penciled - Generative Voice AI Agents for Healthcare
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.penciled.com
security:
  - bearerAuth: []
paths:
  /v1/outcomes:
    get:
      description: Gets the outcomes for a specific agent
      parameters:
        - name: agent_id
          in: query
          description: The ID of the agent
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Outcomes response
          content:
            application/json:
              schema:
                type: object
                properties:
                  outcomes:
                    type: object
                    example:
                      scheduled: positive
                      rescheduled: positive
                      unconfirmed: neutral
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````